Loading...
Searching...
No Matches
point.h File Reference

Point struct and related functions. More...

`#include "math/const.h"`
`#include "math/func.h"`
`#include <cmath>`
`#include <sstream>`
Include dependency graph for point.h:

## Classes

struct | Math::Point
| 2D point More...

## Namespaces

namespace | Math
| Namespace for (new) math code.

## Functions

bool | Math::PointsEqual (const Point &a, const Point &b, float tolerance=TOLERANCE)
| Checks if two vectors are equal within given tolerance.
void | Math::Swap (Point &a, Point &b)
| Permutes two points.
float | Math::Distance (const Point &a, const Point &b)
| Returns the distance between two points.

## Detailed Description

Point struct and related functions.